accrue.jl5.pointer

## Class JL5StmtRegistrar

- java.lang.Object
- - accrue.analysis.pointer.StmtRegistrar
  - - accrue.jl5.pointer.JL5StmtRegistrar

-     public class JL5StmtRegistrar
      extends StmtRegistrar

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class accrue.analysis.pointer.StmtRegistrar

      `StmtRegistrar.CodeInfo, StmtRegistrar.ExceptionHandlerReferenceVariable`

  - ### Field Summary

    - ### Fields inherited from class accrue.analysis.pointer.StmtRegistrar

      `ARRAY_CONTENTS, generatedExceptionNodes, USE_SINGLE_ALLOC_NODE_FOR_GENERATED_EXCEPTIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JL5StmtRegistrar(polyglot.frontend.ExtensionInfo extInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StmtRegistrar.CodeInfo` | `getCodeInfo(polyglot.ext.jl5.ast.EnumConstantDecl ecd)`
    `java.util.Set<polyglot.ext.jl5.ast.EnumConstantDecl>` | `getEnumConstantDecls()`
    `java.util.Collection<polyglot.types.CodeInstance>` | `getInitialCodeInstances()` Return the code instances that should be analyzed in the initial context.
    `ReferenceVariable` | `nodeForEnumConstantDecl(polyglot.types.FieldInstance fi)`
    `void` | `recordEnumConstantDecl(polyglot.ext.jl5.ast.EnumConstantDecl ecd)` Record the existence of an EnumConstantDecl
    `void` | `registerEnumConstantDecl(polyglot.ext.jl5.ast.EnumConstantDecl ecd, StmtRegistrar.CodeInfo codeInfo, ConstructorContext constructorContext)`

    - ### Methods inherited from class accrue.analysis.pointer.StmtRegistrar

      `addAssignment, addAssignment, addAssignment, addAssignmentToField, addAssignmentToField, addCatchImplicitError, addConstructorCall, addExceptionAssignments, addFilteredAssignment, addGeneratedExceptionAssignments, addSpecialCall, addStaticCall, addStmt, addVirtualCall, createFreshReferenceVariable, createFreshReferenceVariable, freshAllocNode, freshCallSiteNode, freshReferenceVariable, getCodeInfo, getCodeInfo, getCodeInfo, getCodeInfo, getInstanceInitializers, getLocalNode, getStartProcs, getStaticInitializers, hasReferenceVariable, missingCode, nodeForStaticField, processMissingCode, processMissingCode, recordFieldDecl, recordInitializer, recordInitializerOrFieldDecl, recordMissingCode, recordProcedureDecl, registerAlloc, registerAlloc, registerAlloc, registerArrayClone, registerClassLiteral, registerLocalDecl, registerStaticAlloc, registerStringLiteral, stmts, stmtsForCode, updateReferenceVariable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JL5StmtRegistrar

          public JL5StmtRegistrar(polyglot.frontend.ExtensionInfo extInfo)

  - ### Method Detail

    - #### nodeForEnumConstantDecl

          public ReferenceVariable nodeForEnumConstantDecl(polyglot.types.FieldInstance fi)

    - #### registerEnumConstantDecl

          public void registerEnumConstantDecl(polyglot.ext.jl5.ast.EnumConstantDecl ecd,
                                      StmtRegistrar.CodeInfo codeInfo,
                                      ConstructorContext constructorContext)

    - #### getInitialCodeInstances

          public java.util.Collection<polyglot.types.CodeInstance> getInitialCodeInstances()

      Description copied from class: `StmtRegistrar`
      Return the code instances that should be analyzed in the initial context. This is typically the start prceodure(s), and static initializers.
      Overrides:
        `getInitialCodeInstances` in class `StmtRegistrar`

    - #### getCodeInfo

          public StmtRegistrar.CodeInfo getCodeInfo(polyglot.ext.jl5.ast.EnumConstantDecl ecd)

    - #### getEnumConstantDecls

          public java.util.Set<polyglot.ext.jl5.ast.EnumConstantDecl> getEnumConstantDecls()

    - #### recordEnumConstantDecl

          public void recordEnumConstantDecl(polyglot.ext.jl5.ast.EnumConstantDecl ecd)

      Record the existence of an EnumConstantDecl
      Parameters:
        `ecd` -